Subject: Re: [PATCH v2 18/31] rebase: extract merge code to new source file

From: Jakub Narebski <[email-masked]>
Date: Fri, 25 Feb 2011 12:27:03 -0800 (PST)

Jeff King <[email-masked]> writes:
> On Thu, Feb 24, 2011 at 03:07:34AM -0500, Jeff King wrote:
> > On Wed, Feb 23, 2011 at 10:27:23PM -0500, Martin von Zweigbergk wrote:
> > 
> > > > > +++ b/git-rebase--merge.sh
> > > > 
> > > > This should be mode 100755. (Ditto for git-rebase--am.sh in 19/31)
> > > 
> > > I was just about to fix now and I noticed that quite a few other
> > > script files are mode 100644. Should all be changed to mode 100755 or
> > > is there some kind of rule as to which mode they should be? Both
> > > git-sh-setup.sh and git-parse-remote.sh are also mode 100644 and I
> > > (think I) know that both are always sourced. If the rule is that
> > > sourced scripts should be mode 100644 (but I'm just guessing here),
> > > then I should actually have changed the mode of
> > > git-rebase--interactive.sh to that mode instead. Please advice.
> > 
> > Yes, sourced scripts should not have an executable bit. See 46bac90 for
> > rationale.
> 
> And I should have mentioned: they should go in SCRIPT_LIB in the
> Makefile, not SCRIPT_SH.

Shouldn't this information be in Documentation/CodingGuidelines, and
perhaps also (checking if one doesn't accidentally change executable
bit on sourced scripts) in Documentation/SubmittingPatches?

-- 
Jakub Narebski
Poland
ShadeHawk on #git